org.gitana.platform.services.transfer

## Class TransferDependency

- java.lang.Object
- - org.gitana.platform.support.GitanaObjectImpl
  - - org.gitana.platform.services.transfer.TransferDependency

All Implemented Interfaces:
  Serializable, GitanaObject, JSONable

    public class TransferDependency
    extends GitanaObjectImpl

Author:
  uzi
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `ID`
`static String` `KEY`
`static String` `OPERATION`
`static String` `PATH`
`protected Reference` `reference`
`static String` `REQUIRED_BY`
`static String` `REQUIRES`
`static String` `TYPE_ID`

### Constructor Summary

Constructors
Constructor and Description
`TransferDependency()`
`TransferDependency(com.fasterxml.jackson.databind.node.ObjectNode object)`
`TransferDependency(String typeId, String dependencyId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.fasterxml.jackson.databind.node.ObjectNode` `asReference()`
`boolean` `equals(Object object)`
`String` `getId()`
`String` `getKey()` Determines the unique key for this dependency descriptor.
`String` `getPath()`
`Reference` `getReference()`
`com.fasterxml.jackson.databind.node.ArrayNode` `getRequiredBy()`
`com.fasterxml.jackson.databind.node.ArrayNode` `getRequires()`
`String` `getTypeId()`
`int` `hashCode()`
`protected void` `initDependency()`
`boolean` `isCreateOperation()`
`boolean` `isDeleteOperation()`
`boolean` `isUpdateOperation()`
`void` `setPath(String path)`
`void` `setReference(Reference reference)`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### KEY

    public static final String KEY

See Also:
  Constant Field Values

#### TYPE_ID

    public static final String TYPE_ID

See Also:
  Constant Field Values

#### ID

    public static final String ID

See Also:
  Constant Field Values

#### REQUIRES

    public static final String REQUIRES

See Also:
  Constant Field Values

#### REQUIRED_BY

    public static final String REQUIRED_BY

See Also:
  Constant Field Values

#### PATH

    public static final String PATH

See Also:
  Constant Field Values

#### OPERATION

    public static final String OPERATION

See Also:
  Constant Field Values

#### reference

    protected Reference reference

### Constructor Detail

#### TransferDependency

    public TransferDependency()

#### TransferDependency

    public TransferDependency(String typeId,
                              String dependencyId)

#### TransferDependency

    public TransferDependency(com.fasterxml.jackson.databind.node.ObjectNode object)

### Method Detail

#### initDependency

    protected void initDependency()

#### getTypeId

    public String getTypeId()

Returns:
  the type id of the dependency ("repository", "branch", etc)

#### getId

    public String getId()

Returns:
  the id of the dependency (usually the "_doc" GUID)

#### getKey

    public String getKey()

Determines the unique key for this dependency descriptor.

Returns:
  the key

#### getRequires

    public com.fasterxml.jackson.databind.node.ArrayNode getRequires()

#### getRequiredBy

    public com.fasterxml.jackson.databind.node.ArrayNode getRequiredBy()

#### asReference

    public com.fasterxml.jackson.databind.node.ObjectNode asReference()

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getPath

    public String getPath()

#### setPath

    public void setPath(String path)

#### isCreateOperation

    public boolean isCreateOperation()

#### isUpdateOperation

    public boolean isUpdateOperation()

#### isDeleteOperation

    public boolean isDeleteOperation()

#### getReference

    public Reference getReference()

#### setReference

    public void setReference(Reference reference)